Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.tbox.impl
Class TuBox

    java.lang.Object
      org.mindswap.pellet.tbox.impl.TBoxBase
          org.mindswap.pellet.tbox.impl.TuBox

    public class TuBox

extends TBoxBase

Field Summary

Fields inherited from class org.mindswap.pellet.tbox.impl.TBoxBase
`log`

Constructor Summary
`TuBox(KnowledgeBase kb)`

Method Summary
`boolean` | `addDef(aterm.ATermAppl axiom)`
`boolean` | `addIfUnfoldable(aterm.ATermAppl term)`
`void` | `normalize(TBox tbox)` Normalize all the definitions in the Tu
`void` | `print()`
`boolean` | `removeDef(aterm.ATermAppl axiom)`
`void` | `resetCache()`
`java.util.List<Pair<aterm.ATermAppl,java.util.Set<aterm.ATermAppl>>>` | `unfold(aterm.ATermAppl c)`
`void` | `updateDef(aterm.ATermAppl axiom)`

Methods inherited from class org.mindswap.pellet.tbox.impl.TBoxBase
`contains, getTD, isEmpty, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TuBox

    public TuBox(KnowledgeBase kb)

Method Detail

### addDef

    public boolean addDef(aterm.ATermAppl axiom)

  Overrides:
    `addDef` in class `TBoxBase`

### removeDef

    public boolean removeDef(aterm.ATermAppl axiom)

  Overrides:
    `removeDef` in class `TBoxBase`

### updateDef

    public void updateDef(aterm.ATermAppl axiom)

### unfold

    public java.util.List<Pair<aterm.ATermAppl,java.util.Set<aterm.ATermAppl>>> unfold(aterm.ATermAppl c)

### normalize

    public void normalize(TBox tbox)

  Normalize all the definitions in the Tu

### addIfUnfoldable

    public boolean addIfUnfoldable(aterm.ATermAppl term)

### resetCache

    public void resetCache()

### print

    public void print()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.